import { Popconfirm, Switch } from 'antd';
function getcolumns(setdrawer, run) {
    return [
        {
            tab: '未完成',
            key: 1,
            columns: [
                {
                    title: '点检计划单号',
                    dataIndex: 'checkNo',
                    key: 'checkNo',
                    hideInForm: true,
                    render: (text, row, _, action) => {
                        return (
                            <a
                                onClick={() => {
                                    setdrawer((s) => ({
                                        ...s,
                                        open: true,
                                        title: '详情',
                                        val: 'detail',
                                        type: 'detail',
                                        title: '详细信息',
                                        item: row,
                                    }));
                                }}
                            >
                                {row?.checkNo}
                            </a>
                        );
                    },
                },
                {
                    title: '设备编号',
                    dataIndex: 'equipmentNo',
                    key: 'equipmentNo',
                    hideInForm: true,
                },
                {
                    title: '设备名称',
                    dataIndex: 'equipmentName',
                    key: 'equipmentName',
                    hideInForm: true,
                },
                {
                    title: '工厂名称',
                    dataIndex: 'factoryName',
                    key: 'factoryId',
                    hideInForm: true,
                    valueType: 'select',
                    options: {
                        path: '/auth/sysFactory/getAllFactorySelection',
                        params: {},
                    },
                },
                {
                    title: '车间名称',
                    dataIndex: 'shopName',
                    key: 'shopId',
                    hideInForm: true,
                    valueType: 'select',
                    options: {
                        path: '/auth/sysShop/getShopSelectionByFactory',
                        linkParams: {
                            factoryId: '',
                        },
                    },
                },
                {
                    title: '点检类型',
                    dataIndex: 'checkTypeName',
                    key: 'checkType',
                    valueType: 'select',
                    options: [
                        {
                            label: '制造点检',
                            value: 1,
                        },
                        {
                            label: '设备点检',
                            value: 2,
                        },
                    ],
                    formItemProps: {
                        rules: [
                            {
                                required: true,
                                message: '此项为必填项',
                            },
                        ],
                    },
                },
                {
                    title: '计划类型',
                    dataIndex: 'checkLoopName',
                    key: 'checkLoop',
                    formItemProps: {
                        rules: [
                            {
                                required: true,
                                message: '此项为必填项',
                            },
                        ],
                    },
                    valueType: 'radio',
                    searchValueType: 'select',
                    options: [
                        {
                            label: '单次',
                            value: 1,
                        },
                        {
                            label: '周期',
                            value: 2,
                        },
                    ],
                },
                {
                    title: '周期(天)',
                    dataIndex: 'checkCycle',
                    key: 'checkCycle',
                    hideInSearch: true,
                    valueType: 'digit',
                    hideInForm: {
                        checkLoop: [1],
                    },
                },
                {
                    title: '下次点检日期',
                    dataIndex: 'planCheckDate',
                    key: 'planCheckDateList',
                    hideInForm: true,
                    valueType: 'dateRange',
                },
                {
                    title: '状态',
                    dataIndex: 'statusName',
                    key: 'status',
                    hideInForm: true,
                    valueType: 'select',
                    fieldProps: {
                        placeholder: '请选择',
                        showSearch: true,
                    },
                    options: [
                        {
                            label: '未开始',
                            value: 1,
                        },
                        {
                            label: '执行中',
                            value: 2,
                        },
                    ],
                },
                {
                    title: '启用/停用',
                    dataIndex: 'checkEnable',
                    key: 'checkEnable',
                    hideInForm: true,
                    hideInSearch: true,
                    valueType: 'switch',
                    render: (text, row, _, action) => {
                        return <Popconfirm
                            title="是否开启或停用?"
                            onConfirm={() => {
                                if (row.checkEnable == 1) {
                                    run({ url: "/check/umEquipmentCheckPlan/enable", params: { id: row.id, checkEnable: 2 } })
                                }
                            }}
                            okText="确定"
                            cancelText="取消"
                        >
                            < Switch checked={row.checkEnable == 1 ? true : false} checkedChildren="开启" unCheckedChildren="停用" defaultChecked={false} />
                        </Popconfirm>
                    }
                },
                {
                    title: '选择设备',
                    dataIndex: 'equipmentId',
                    key: 'equipmentId',
                    formItemProps: {
                        rules: [
                            {
                                required: true,
                                message: '此项为必填项',
                            },
                        ],
                    },
                    hideInSearch: true,
                    hideInTable: true,
                    valueType: 'formSelectList',
                    colProps: {
                        span: 24,
                    },
                },
            ],
            pathconfig: {
                enableadd: true,
                enableedit: false,
                enabledelete: true,
                enabledetail: true,
                add: '/check/umEquipmentCheckPlan/save',
                edit: '',
                list: '/check/umEquipmentCheckPlan/queryNoComplete',
                delete: '/check/umEquipmentCheckPlan/deleteById',
                detail: '/check/umEquipmentCheckPlan/queryDetails',
            },
        },
        {
            tab: '已完成',
            key: 2,
            columns: [
                {
                    title: '点检计划单号',
                    dataIndex: 'checkNo',
                    key: 'checkNo',
                },
                {
                    title: '设备编号',
                    dataIndex: 'equipmentNo',
                    key: 'equipmentNo',
                },
                {
                    title: '设备名称',
                    dataIndex: 'equipmentName',
                    key: 'equipmentName',
                },
                {
                    title: '工厂名称',
                    dataIndex: 'factoryName',
                    key: 'factoryId',
                    valueType: 'select',
                    options: {
                        path: '/auth/sysFactory/getAllFactorySelection',
                        params: {},
                    },
                },
                {
                    title: '车间名称',
                    dataIndex: 'shopName',
                    key: 'shopId',
                    valueType: 'select',
                    options: {
                        path: '/auth/sysShop/getShopSelectionByFactory',
                        params: {},
                    },
                },
                {
                    title: '点检类型',
                    dataIndex: 'checkTypeName',
                    key: 'checkType',
                    valueType: 'select',
                    options: [
                        {
                            label: '制造点检',
                            value: 1,
                        },
                        {
                            label: '设备点检',
                            value: 2,
                        },
                    ],
                },
                {
                    title: '计划类型',
                    dataIndex: 'checkLoopName',
                    key: 'checkLoop',
                    valueType: 'select',
                    options: [
                        {
                            label: '单次',
                            value: 1,
                        },
                        {
                            label: '周期',
                            value: 2,
                        },
                    ],
                },
                {
                    title: '周期(天)',
                    dataIndex: 'checkCycle',
                    key: 'checkCycle',
                    hideInSearch: true,
                },
                {
                    title: '关单日期',
                    dataIndex: 'endDate',
                    key: 'endDateList',
                    valueType: 'dateRange',
                },
                {
                    title: '状态',
                    dataIndex: 'statusName',
                    key: 'statusName',
                    hideInSearch: true,
                },
            ],
            pathconfig: {
                enableadd: false,
                enableedit: false,
                enabledelete: false,
                enabledetail: true,
                add: '',
                edit: '',
                list: '/check/umEquipmentCheckPlan/queryYesComplete',
                delete: '',
                detail: '/check/umEquipmentCheckPlan/queryDetails',
            },
        },
    ];
}
export default getcolumns;
